// src/index.ts
function getHighlightAPI() {
  if (globalThis.highlight === void 0) {
    throw new Error(
      "Your web app must be running in the Highlight app to use this module. Please see https://docs.highlight.ing for more details."
    );
  }
  return globalThis.highlight;
}
var api = {
  user: {
    getFacts: () => getHighlightAPI().user.getFacts(),
    getAudio: (longAudio) => getHighlightAPI().user.getAudio(longAudio),
    setAsrRealtime: (isRealtime) => getHighlightAPI().user.setAsrRealtime(isRealtime),
    getMicActivity: (lastNumMs) => getHighlightAPI().user.getMicActivity(lastNumMs),
    getScreenshot: () => getHighlightAPI().user.getScreenshot(),
    getEmail: () => getHighlightAPI().user.getEmail()
  },
  auth: {
    signIn: () => getHighlightAPI().auth.signIn()
  },
  addEventListener: (event, listener) => {
    getHighlightAPI().addEventListener(event, listener);
  },
  removeEventListener: (event, listener) => {
    getHighlightAPI().removeEventListener(event, listener);
  }
};
var src_default = api;
export {
  src_default as default
};
//# sourceMappingURL=index.js.map